#### Functions for family of random variables ####

#### Binomial Distribution #####
#parameter:
p=0.8
n=10
### Generate data ###
rbinom(n=1000,size=10,prob=p)

### Compute pdf ###
dbinom(x=4,size=n,prob=p)

### Calculate cdf ###
pbinom(q=4,size=n,prob=p)
Fx<-pbinom(q=4,size=n,prob=p)

### Calculate quantile ###
qbinom(p=0.006,size=n,prob=p)


#### Poisson Distribution #####
#parameter:
lambda=1.8

### Generate data ###
rpois(n=1,lambda=lambda)

### Compute pdf ###
dpois(x=3,lambda = lambda)

### Calculate cdf ###
ppois(q=3,lambda = lambda)
Fx<-ppois(q=3,lambda = lambda)

### Calculate quantile ###
qpois(p=Fx,lambda = lambda)


#### Normal Distribution #####
#parameter:
mu=5
sigma=2

### Generate data ###
rnorm(n=1,mean=mu, sd=sigma)

### Compute pdf ###
dnorm(x=6.76,mean=mu, sd=sigma)

### Calculate cdf ###
pnorm(6.76,mean=mu, sd=sigma)
Fx<-pnorm(6.76,mean=mu, sd=sigma)

### Calculate quantile ###
qnorm(p=Fx,mean = mu, sd=sigma)









